gtkmm: Gtk::FixedLayoutChild Class Reference

gtkmm 4.23.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::FixedLayoutChild Class Reference

Layout properties for children of Gtk::FixedLayout. More...

`#include <gtkmm/fixedlayoutchild.h>`

Inheritance diagram for Gtk::FixedLayoutChild:
[legend]

## Public Member Functions
| FixedLayoutChild (FixedLayoutChild && src) noexcept
FixedLayoutChild & | operator= (FixedLayoutChild && src) noexcept
| ~FixedLayoutChild () noexcept override
GtkFixedLayoutChild * | gobj ()
| Provides access to the underlying C GObject.
const GtkFixedLayoutChild * | gobj () const
| Provides access to the underlying C GObject.
GtkFixedLayoutChild * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_transform (const Glib::RefPtr< const Gsk::Transform > &transform)
| Sets the transformation of the child of a Gtk::FixedLayout.
Glib::RefPtr< Gsk::Transform > | get_transform () const
| Retrieves the transformation of the child.
Glib::PropertyProxy< Glib::RefPtr< Gsk::Transform > > | property_transform ()
| The transform of the child.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gsk::Transform > > | property_transform () const
| The transform of the child.
Public Member Functions inherited from Gtk::LayoutChild
| LayoutChild (LayoutChild && src) noexcept
LayoutChild & | operator= (LayoutChild && src) noexcept
| ~LayoutChild () noexcept override
GtkLayoutChild * | gobj ()
| Provides access to the underlying C GObject.
const GtkLayoutChild * | gobj () const
| Provides access to the underlying C GObject.
GtkLayoutChild * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< LayoutManager > | get_layout_manager ()
| Retrieves the Gtk::LayoutManager instance that created the given layout_child.
Glib::RefPtr< const LayoutManager > | get_layout_manager () const
| Retrieves the Gtk::LayoutManager instance that created the given layout_child.
Widget * | get_child_widget ()
| Retrieves the Gtk::Widget associated to the given layout_child.
const Widget * | get_child_widget () const
| Retrieves the Gtk::Widget associated to the given layout_child.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< LayoutManager > > | property_layout_manager () const
| The layout manager that created the Gtk::LayoutChild instance.
Glib::PropertyProxy_ReadOnly< Widget * > | property_child_widget () const
| The widget that is associated to the Gtk::LayoutChild instance.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::LayoutChild
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| FixedLayoutChild ()
| Default constructor.
Protected Member Functions inherited from Gtk::LayoutChild
| LayoutChild ()
| There is no create() method that corresponds to this constructor, because only derived classes shall be created.
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::FixedLayoutChild > | wrap (GtkFixedLayoutChild * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::LayoutChild
Glib::RefPtr< Gtk::LayoutChild > | wrap (GtkLayoutChild * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Layout properties for children of Gtk::FixedLayout.

Gtk::FixedLayoutChild instances are created by Gtk::FixedLayout. To create or get a Gtk::FixedLayoutChild instance, call Gtk::LayoutManager::get_layout_child() from a Gtk::FixedLayout instance.

Glib::RefPtr<Gtk::LayoutChild> layout_child =
fixed_layout->get_layout_child(child);
Glib::RefPtr<Gtk::FixedLayoutChild> fixed_layout_child =
std::dynamic_pointer_cast<Gtk::FixedLayoutChild>(layout_child);
if (fixed_layout_child)
// Do something with fixed_layout_child
std::dynamic_pointer_cast
__shared_ptr< _Tp, _Lp > dynamic_pointer_cast(const __shared_ptr< _Tp1, _Lp > &__r) noexcept
Glib::RefPtr
std::shared_ptr< T_CppObject > RefPtr

Since gtkmm 4.20

## Constructor & Destructor Documentation

## ◆ FixedLayoutChild() [1/2]

Gtk::FixedLayoutChild::FixedLayoutChild | ( | FixedLayoutChild && | src | ) |
| noexcept

## ◆ ~FixedLayoutChild()

Gtk::FixedLayoutChild::~FixedLayoutChild | ( |  | ) |
| overridenoexcept

## ◆ FixedLayoutChild() [2/2]

Gtk::FixedLayoutChild::FixedLayoutChild | ( |  | ) |
| protected

Default constructor.

There is no create() method that corresponds to this constructor. To create or get a Gtk::FixedLayoutChild instance, call Gtk::LayoutManager::get_layout_child() from a Gtk::FixedLayout instance.

## Member Function Documentation

## ◆ get_transform()

Glib::RefPtr< Gsk::Transform > Gtk::FixedLayoutChild::get_transform | ( |  | ) | const

Retrieves the transformation of the child.

Returns
  A Gsk::Transform.

## ◆ get_type()

GType Gtk::FixedLayoutChild::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkFixedLayoutChild * Gtk::FixedLayoutChild::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkFixedLayoutChild * Gtk::FixedLayoutChild::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkFixedLayoutChild * Gtk::FixedLayoutChild::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

FixedLayoutChild & Gtk::FixedLayoutChild::operator= | ( | FixedLayoutChild && | src | ) |
| noexcept

## ◆ property_transform() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gsk::Transform > > Gtk::FixedLayoutChild::property_transform | ( |  | ) |

The transform of the child.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_transform() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gsk::Transform > > Gtk::FixedLayoutChild::property_transform | ( |  | ) | const

The transform of the child.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_transform()

void Gtk::FixedLayoutChild::set_transform | ( | const Glib::RefPtr< const Gsk::Transform > & | transform | ) |

Sets the transformation of the child of a Gtk::FixedLayout.

Parameters

  transform | A Gsk::Transform.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::FixedLayoutChild > wrap | ( | GtkFixedLayoutChild * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.